# staroffice-wrapper-4.0-9.spec

%define prefix	/usr/local/Office40


Summary: Helps to install StarOffice 4.0 on RedHat
Prefix: 	%{prefix}
Distribution:	http://www.waldherr.org/
Vendor: 	http://www.waldherr.org/
Name: 		staroffice-wrapper
Version: 	4.0
Release: 	9
Source: 	http://www.waldherr.org/soffice/staroffice-wrapper-4.0-9.tar.gz
Packager: 	Stefan Waldherr <swa@cs.cmu.edu>
URL: 		http://www.waldherr.org/soffice/
Copyright: 	GPL
Group: 		X11/Applications
BuildRoot: 	/tmp/staroffice-wrapper
Requires: 	gawk, findutils, file

%description 
Get the StarOffice for Linux .tar.gz file from
http://www.stardivision.com/ or http://www.stardivision.de/ and make a
link, e.g., from /tmp/so40sp3_lnx_01.tar.gz to the file (or put the
file into /tmp if you have enough space). Then install this RPM, which
will in turn install StarOffice (as a multi-user installation) under
/usr/local/Office40 with the correct libc and libm versions. It is now
possible to change the installation target /usr/local/Office40 with
rpm's standard option `--prefix'. Example:

   rpm -Uvh --prefix=/opt/Office40 staroffice-wrapper-4.0-9.i386.rpm

Works for 01 (English) and 49 (German) versions. Installation is only
possible under X and without using glint.

Each user must 

   +   move his ~/Office40 to ~/Office40.old
   +   run /usr/local/Office40/bin/setup 
       (replace /usr/local/Office40 with whatever you used with --prefix)
   +   choose `Installation from Net or CD'

before using StarOffice.

%changelog
* Thu Jul 23 1998 Stefan Waldherr <swa@cs.cmu.edu>
- Fixed major link problem.

* Sun Jul 12 1998 Stefan Waldherr <swa@cs.cmu.edu>
- Fixed minor inconsistencies, BuildRoot

* Mon Jun 8 1998 Oliver Graf <ograf@fga.de>
- added prefix rpm option for variable install

* Fri May 22 1998 Stefan Waldherr <swa@cs.cmu.edu>
- corrected the `link' problem thanks to Henrik Edlund <piett@piett.com>

* Wed May 20 1998 Stefan Waldherr <swa@cs.cmu.edu>
- minor fixes

* Wed May 20 1998 Stefan Waldherr <swa@cs.cmu.edu>
- initialization of spec file, which is based on the netscape-wrapper
  rpm file by bnl.

%pre
# this is a pre-install script 
case "$DISPLAY" in
   "")
     echo "Installation is only possible under X. Sorry."
     exit -1
     ;;
   *)
     ;;
esac

%prep

%setup -n staroffice-wrapper-4.0-9

%build

%install
rm -rf $RPM_BUILD_ROOT

# this baby will put the libs and links in /usr/local/Office40/lib
install -d $RPM_BUILD_ROOT%{prefix}/lib
cp -arp . $RPM_BUILD_ROOT%{prefix}
cd $RPM_BUILD_ROOT%{prefix}/lib
ln -s libc.so.5.4.38 libc.so
ln -s libc.so.5.4.38 libc.so.5
ln -s libm.so.5.0.9 libm.so
ln -s libm.so.5.0.9 libm.so.5

%post

# this baby will untar staroffice, replace the setup script and 
# install staroffice under /usr/local/Office40
$RPM_INSTALL_PREFIX/untar_staroffice $RPM_INSTALL_PREFIX

%clean
rm -rf $RPM_BUILD_ROOT

%postun

echo ""
echo "You should manually remove $RPM_INSTALL_PREFIX now."
echo ""

%files

%dir /usr/local/Office40/
/usr/local/Office40/untar_staroffice
/usr/local/Office40/setup
/usr/local/Office40/lib/libc.so
/usr/local/Office40/lib/libc.so.5
/usr/local/Office40/lib/libc.so.5.4.38
/usr/local/Office40/lib/libm.so
/usr/local/Office40/lib/libm.so.5
/usr/local/Office40/lib/libm.so.5.0.9

# end of file
